WordPress.org

Support

Support » Plugins and Hacks » PiwigoPress » [Resolved] [patch] compatibility with WP 2.9, and several improvements

[Resolved] [patch] compatibility with WP 2.9, and several improvements

  • Plugin Author Norbert

    @norbusan

    Dear all,

    I have finally found the time to fix some annoying bugs when using PiwigoPress on WordPress 3.9 (and above). In addition, I have added some features I wanted to have. Here are my changes:

    Fixes
    =====
    * fix for Piwigo 1.6 version (from the forum here)
    * fix for tinyMCE v4 integration (javascript code updated)
    “generate and insert” was broken and only inserted the first image

    Improvements
    ============
    The improvements are all targeting encryption of all sources. One problem is that t the moment, when using PiwigoPress, javascript code, css code are loaded via http:// in any case.
    The other problem is that the URL for the PiwigoServer cannot be specified *without* a protocol and server, in case the piwigo server is on the same host. Now in my case I have the blog in <server>/blog and the piwigo in <server>/piwigo, and I would like PiwigoPress to use “/piwigo” as url and have the proper (currently used) http/https added automatically.

    Both of these things have been fixed in the code, that means, that one can now have the full communication encrypted.

    The patch is available at http://www.preining.info/software/piwigopress.diff

    The changes I made are also available via the gitorious project wp-piwigo, see here: https://gitorious.org/wp-piwigo/wp-piwigo/

    I would happily contribute this to the subversion and upstream.

    Thanks

    Norbert

    https://wordpress.org/plugins/piwigopress/

  • The topic ‘[Resolved] [patch] compatibility with WP 2.9, and several improvements’ is closed to new replies.
Skip to toolbar